Subject: Protocol Action: 'Structure of the IETF Administrative Support Activity, Version 2.0' to Best Current Practice (draft-ietf-iasa2-rfc4071bis-11.txt)

From: The IESG <[email-masked]>
Date: Tue, 16 Apr 2019 10:57:30 -0700

The IESG has approved the following document:
- 'Structure of the IETF Administrative Support Activity, Version 2.0'
  (draft-ietf-iasa2-rfc4071bis-11.txt) as Best Current Practice

This document is the product of the IETF Administrative Support Activity 2
Working Group.

The IESG contact person is Alissa Cooper.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc4071bis/

Technical Summary

draft-ietf-iasa2-rfc4071bis defines the structure of version 2.0 of the IASA. Broadly, it describes the relationship between the IETF and the IETF Administration Limited Liability Company (LLC), which is itself specified in a separate company agreement. rfc4071bis covers the changes from the previous IASA model, and in particular defines the responsibilities of the new IETF Executive Director role and the LLC Board. It clarifies the way in which the IETF community and leadership interface with the Executive Director and the Board, showing how these differ from the former relationships with the IAD and IAOC.

As this is the primary document describing the IASA, and a successor to RFC4071, it is proposed as a BCP. It will obsolete RFC4071, and also two IAOC-specific specifications, RFC4333 and RFC7961, if it is approved.

Working Group Summary

This document has had a lively journey through the IASA2 WG. It was originally conceived as an informational document (draft-ietf-iasa2-struct) which recorded the motivations and consensus decisions of the WG. As it became increasingly apparent that other working group documents would need to rely normatively on its contents, it was retooled into a bis of RFC4071, the document which described the original IASA structure resulting from the adminrest process. 

The core idea behind the new structure has had plenty of time to sink in with working group participants. A great deal of discussion went into how the LLC Board is constituted, ensuring that the community has the necessary visibility and input into its process, and into how this relates to the many potential loose ends that must be connected back to our historical operations. draft-ietf-iasa2-rfc4071bis has been under intense working group scrutiny, as it must be properly aligned with the many specifications that rely upon it. This has included detailed line-by-line reviews. The chairs believe it has been thoroughly scrutinized and that the working group strongly supports its advancement. This is the cornerstone document of IASA 2.0. 

Document Quality

The document inherits some of the quirks from RFC 4071 but its overall quality is good.

Personnel

Jon Peterson is the document shepherd. Alissa Cooper is the responsible area director.